D4Science Infrastructure - Incident #401

Tabular Data Manager Portlet allows to Share Tabular Data Resources with the whole set of portal

users
Jul 21, 2015 03:15 PM - Massimiliano Assante

Status: Closed Start date: Jul 21, 2015
Priority: Urgent Due date:

Assignee: Francesco Mangiacrapa % Done:

Category: Other Estimated time:

Target version: UnSprintable

Infrastructure: Production

Description

| can share Tabular Data Resources with any user of the portal regardless its membership to the VRE. This causes the user to

receive the notification but to not be able to open the TabularResource. What's the point of this?

History

#1 - Jul 21, 2015 03:30 PM - Pasquale Pagano

- Priority changed from Normal to Urgent

#2 - Jul 21, 2015 03:34 PM - Massimiliano Assante

wonder why this problem was not found before

#3 - Jul 21, 2015 04:41 PM - Giancarlo Panichi

- Assignee changed from Giancarlo Panichi to Francesco Mangiacrapa

#4 - Aug 03, 2015 11:47 AM - Massimiliano Assante

any update on this activity? This is an urgent matter

#5 - Aug 03, 2015 11:56 AM - Francesco Mangiacrapa

- Status changed from New to In Progress

#6 - Aug 03, 2015 12:21 PM - Francesco Mangiacrapa
- % Done changed from 0 to 100

Added code to retrieve (only) the users belonging to the organization read from (asl) session group
The fix has been deployed on nexus (workspace-sharing-widget 1.5.0) and it is under testing

#7 - Sep 03, 2015 06:16 PM - Francesco Mangiacrapa

- Status changed from In Progress to Resolved

The fix seems work fine

#9 - Oct 08, 2015 03:32 PM - Francesco Mangiacrapa

- Status changed from Resolved to Closed

Release in gcube 3.9.0
